This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980115 - Keyboard & Mouse very slow after dbus update to 1:1.6.12-1.fc18.x86_64
Keyboard & Mouse very slow after dbus update to 1:1.6.12-1.fc18.x86_64
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 09:07 EDT by John Willis
Modified: 2013-07-03 09:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 09:10:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Willis 2013-07-01 09:07:24 EDT
Mouse & keyboard become unresponsive after a few hours since the last software update.



Version-Release number of selected component (if applicable):
Yum history output:

yum history info 92
Loaded plugins: langpacks, presto, refresh-packagekit
Transaction ID : 92
Begin time     : Mon Jul  1 09:25:57 2013
Begin rpmdb    : 1817:5c909966f393c9a8068bd03188f783bd6bb48519
End time       :            09:26:32 2013 (35 seconds)
End rpmdb      : 1817:0e238b918380501983484be27ea730afc01ba3fd
User           : john <john>
Return-Code    : Success
Command Line   : update
Transaction performed with:
    Installed     rpm-4.10.3.1-1.fc18.x86_64              @updates
    Installed     yum-3.4.3-54.fc18.noarch                @updates
    Installed     yum-metadata-parser-1.1.4-7.fc18.x86_64 @anaconda
    Installed     yum-presto-0.9.0-1.fc18.noarch          @anaconda
Packages Altered:
    Updated anthy-9100h-18.fc18.x86_64              @fedora
    Update        9100h-23.fc18.x86_64              @updates
    Updated dbus-1:1.6.8-2.fc18.x86_64              @fedora
    Update       1:1.6.12-1.fc18.x86_64             @updates
    Updated dbus-libs-1:1.6.8-2.fc18.x86_64         @fedora
    Update            1:1.6.12-1.fc18.x86_64        @updates
    Updated dbus-x11-1:1.6.8-2.fc18.x86_64          @fedora
    Update           1:1.6.12-1.fc18.x86_64         @updates
    Updated perl-Params-Validate-1.07-1.fc18.x86_64 @fedora
    Update                       1.08-1.fc18.x86_64 @updates
    Updated recoll-1.18.1-1.fc18.x86_64             @fedora
    Update         1.19.4-2.fc18.x86_64             @updates




How reproducible:
reproduced 3 times
Steps to Reproduce:
1. Apply the update
2. leave the computer on for a few hours, not sure if it needs some use during this time, but has got worse with no interactive use. Seems worse with Thunderbird but I haven't spent much time trying other applications.
3.  Eventually  the keyboard & mouse will become very unresponsive seconds for the mouse pointer to move each step. 
4. reboot then undo the update & it is ok. 

Actual results:
Keyboard & mouse become very slow - mouse pointer moves in jerks that can take several seconds. Can get so slow it might have hung.

Expected results:


Additional info:

Cant apply update until this is fixed.

Hardware ( rather old )
Athlon X2 2400 processor
2 gig RAM
Motherboard Biostar A780LB 760G Socket AM2+ VGA 6 Channel Audio mATX Motherboard
using onboard video.
Usage: email, web browsing, light documents spreadsheets & BBC iplayer radio.
Comment 1 John Willis 2013-07-03 09:08:26 EDT
Apologies but it doesn't appear to be the update now.

The morning after posting the bug the system became very slow, with system monitor indicating all 2 gig of memory used and a large amount swapped to disk. 
Applications open: Thunderbird, stellarium and Impress. This was without the dbus update. Memory wasn't freed up when the applications were closed. I tried booting into older kernel updates but the same thing happened. I left the system for about and the memory freed up. Unfortunately I didn't think to look at the processes at the time. I have applied the latest yum update and it is working ok. 

I suggest you close the bug. If it happens again I will check to see what is using the memory.
Comment 2 Josh Boyer 2013-07-03 09:10:09 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.